#!/usr/bin/env bash

# A wrapper around the real calicoctl to configure etcd access...

if [ -z "$hscloud_root" ]; then
   echo 2>&1 "Please source env.sh"
   exit 1
fi

ETCD_ENDPOINTS="https://bc01n01.hswaw.net:2379,https://bc01n01.hswaw.net:2379,https://bc01n01.hswaw.net:2379"
ETCD_KEY_FILE="$hscloud_root/cluster/secrets/plain/kube-calico.key"
ETCD_CERT_FILE="$hscloud_root/cluster/certs/kube-calico.crt"
ETCD_CA_CERT_FILE="$hscloud_root/cluster/certs/ca.crt"

if [ ! -f "$ETCD_KEY_FILE" ] ; then
        secretstore decrypt "$hscloud_root/cluster/secrets/cipher/kube-calico.key" > "$ETCD_KEY_FILE"
fi

export ETCD_ENDPOINTS
export ETCD_KEY_FILE
export ETCD_CERT_FILE
export ETCD_CA_CERT_FILE
calicoctl.bin "$@"
